  <mat-card [id]="'eventListItem'+event.id" class="eventListItem">
      <mat-card-title>{{ event.name }}</mat-card-title>
    <mat-card-content>


      <table>
        <tr>
          <td>
            <img [src]="image" height="200">
          </td>
          <td valign="top">
            <p class="heading">Description: </p>
            <p>{{ event.description }}</p>

          </td>
        </tr>
      </table>


    </mat-card-content>
    <mat-card-actions>
      <button mat-button class="detailsButton" [routerLink]="['/event/', event.id]">Details</button>
      <button mat-button class="rightAlignedButton deleteButton" *ngIf="currentUser?.role === 'Admin'" [disabled]="!deletable" (click)="deleteEvent()">Delete</button>
      <button mat-button class="rightAlignedButton editButton" *ngIf="currentUser?.role === 'Admin'" (click)="editEvent()">Edit</button>
      <button mat-button class="rightAlignedButton" *ngIf="currentUser?.role === 'Admin'" (click)="reportEvent()">Report</button>
    </mat-card-actions>
  </mat-card>
